### Function

# Fwupd variant_get_double

since: 2.1.4

#### Declaration [src]

    gdouble
    fwupd_variant_get_double (
      GVariant* value
    )

#### Description [src]

Gets a double from a variant.

Available since: 2.1.4

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `gdouble`

Double, or -1.0 if not valid.